//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Collections.Generic;

    public partial class GT_MASTER_ROLES
    {
        public GT_MASTER_ROLES()
        {
            this.GT_MASTER_ROLE_MENUS = new HashSet<GT_MASTER_ROLE_MENUS>();
            this.GT_MASTER_USER_ROLES = new HashSet<GT_MASTER_USER_ROLES>();
        }

        public int RoleId { get; set; }
        public string Role { get; set; }
        public string Description { get; set; }
        public bool IsActive { get; set; }
        public Nullable<int> InactivatedBy { get; set; }
        public Nullable<System.DateTime> InactivatedDate { get; set; }
        public Nullable<int> CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public Nullable<int> LastUpdatedBy { get; set; }
        public Nullable<System.DateTime> LastUpdatedDate { get; set; }
        public bool IsDeleted { get; set; }
        public Nullable<int> DeletedBy { get; set; }
        public Nullable<System.DateTime> DeletedDate { get; set; }
        public string Remark { get; set; }

        public virtual ICollection<GT_MASTER_ROLE_MENUS> GT_MASTER_ROLE_MENUS { get; set; }
        public virtual ICollection<GT_MASTER_USER_ROLES> GT_MASTER_USER_ROLES { get; set; }
    }
}
